NMSettingIP4Config
3
LIBNM-UTIL Library

# NMSettingIP4Config

## Synopsis

    #define             NM_SETTING_IP4_CONFIG_SETTING_NAME
    enum                NMSettingIP4ConfigError;
    #define             NM_TYPE_SETTING_IP4_CONFIG_ERROR
    #define             NM_SETTING_IP4_CONFIG_ERROR
    GQuark              nm_setting_ip4_config_error_quark   (void);
    #define             NM_SETTING_IP4_CONFIG_METHOD
    #define             NM_SETTING_IP4_CONFIG_DNS
    #define             NM_SETTING_IP4_CONFIG_DNS_SEARCH
    #define             NM_SETTING_IP4_CONFIG_ADDRESSES
    #define             NM_SETTING_IP4_CONFIG_ROUTES
    #define             NM_SETTING_IP4_CONFIG_IGNORE_AUTO_ROUTES
    #define             NM_SETTING_IP4_CONFIG_IGNORE_AUTO_DNS
    #define             NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID
    #define             NM_SETTING_IP4_CONFIG_DHCP_HOSTNAME
    #define             NM_SETTING_IP4_CONFIG_METHOD_AUTO
    #define             NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL
    #define             NM_SETTING_IP4_CONFIG_METHOD_MANUAL
    #define             NM_SETTING_IP4_CONFIG_METHOD_SHARED
    typedef             NMIP4Address;
    NMIP4Address*       nm_ip4_address_new                  (void);
    NMIP4Address*       nm_ip4_address_dup                  (NMIP4Address *source);
    void                nm_ip4_address_ref                  (NMIP4Address *address);
    void                nm_ip4_address_unref                (NMIP4Address *address);
    gboolean            nm_ip4_address_compare              (NMIP4Address *address,
                                                             NMIP4Address *other);
    guint32             nm_ip4_address_get_address          (NMIP4Address *address);
    void                nm_ip4_address_set_address          (NMIP4Address *address,
                                                             guint32 addr);
    guint32             nm_ip4_address_get_prefix           (NMIP4Address *address);
    void                nm_ip4_address_set_prefix           (NMIP4Address *address,
                                                             guint32 prefix);
    guint32             nm_ip4_address_get_gateway          (NMIP4Address *address);
    void                nm_ip4_address_set_gateway          (NMIP4Address *address,
                                                             guint32 gateway);
    typedef             NMIP4Route;
    NMIP4Route*         nm_ip4_route_new                    (void);
    NMIP4Route*         nm_ip4_route_dup                    (NMIP4Route *route);
    void                nm_ip4_route_ref                    (NMIP4Route *route);
    void                nm_ip4_route_unref                  (NMIP4Route *route);
    gboolean            nm_ip4_route_compare                (NMIP4Route *route,
                                                             NMIP4Route *other);
    guint32             nm_ip4_route_get_dest               (NMIP4Route *route);
    void                nm_ip4_route_set_dest               (NMIP4Route *route,
                                                             guint32 dest);
    guint32             nm_ip4_route_get_prefix             (NMIP4Route *route);
    void                nm_ip4_route_set_prefix             (NMIP4Route *route,
                                                             guint32 prefix);
    guint32             nm_ip4_route_get_next_hop           (NMIP4Route *route);
    void                nm_ip4_route_set_next_hop           (NMIP4Route *route,
                                                             guint32 next_hop);
    guint32             nm_ip4_route_get_metric             (NMIP4Route *route);
    void                nm_ip4_route_set_metric             (NMIP4Route *route,
                                                             guint32 metric);
                        NMSettingIP4Config;
    GType               nm_setting_ip4_config_get_type      (void);
    NMSetting*          nm_setting_ip4_config_new           (void);
    const char*         nm_setting_ip4_config_get_method    (NMSettingIP4Config *setting);
    guint32             nm_setting_ip4_config_get_num_dns   (NMSettingIP4Config *setting);
    guint32             nm_setting_ip4_config_get_dns       (NMSettingIP4Config *setting,
                                                             guint32 i);
    gboolean            nm_setting_ip4_config_add_dns       (NMSettingIP4Config *setting,
                                                             guint32 dns);
    void                nm_setting_ip4_config_remove_dns    (NMSettingIP4Config *setting,
                                                             guint32 i);
    void                nm_setting_ip4_config_clear_dns     (NMSettingIP4Config *setting);
    guint32             nm_setting_ip4_config_get_num_dns_searches
                                                            (NMSettingIP4Config *setting);
    const char*         nm_setting_ip4_config_get_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);
    gboolean            nm_setting_ip4_config_add_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             const char *dns_search);
    void                nm_setting_ip4_config_remove_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);
    void                nm_setting_ip4_config_clear_dns_searches
                                                            (NMSettingIP4Config *setting);
    guint32             nm_setting_ip4_config_get_num_addresses
                                                            (NMSettingIP4Config *setting);
    NMIP4Address*       nm_setting_ip4_config_get_address   (NMSettingIP4Config *setting,
                                                             guint32 i);
    gboolean            nm_setting_ip4_config_add_address   (NMSettingIP4Config *setting,
                                                             NMIP4Address *address);
    void                nm_setting_ip4_config_remove_address
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);
    void                nm_setting_ip4_config_clear_addresses
                                                            (NMSettingIP4Config *setting);
    guint32             nm_setting_ip4_config_get_num_routes
                                                            (NMSettingIP4Config *setting);
    NMIP4Route*         nm_setting_ip4_config_get_route     (NMSettingIP4Config *setting,
                                                             guint32 i);
    gboolean            nm_setting_ip4_config_add_route     (NMSettingIP4Config *setting,
                                                             NMIP4Route *route);
    void                nm_setting_ip4_config_remove_route  (NMSettingIP4Config *setting,
                                                             guint32 i);
    void                nm_setting_ip4_config_clear_routes  (NMSettingIP4Config *setting);
    gboolean            nm_setting_ip4_config_get_ignore_auto_routes
                                                            (NMSettingIP4Config *setting);
    gboolean            nm_setting_ip4_config_get_ignore_auto_dns
                                                            (NMSettingIP4Config *setting);
    const char*         nm_setting_ip4_config_get_dhcp_client_id
                                                            (NMSettingIP4Config *setting);
    const char*         nm_setting_ip4_config_get_dhcp_hostname
                                                            (NMSettingIP4Config *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingIP4Config

## Properties

      "dhcp-client-id"           gchararray            : Read / Write
      "dhcp-hostname"            gchararray            : Read / Write
      "ignore-auto-dns"          gboolean              : Read / Write
      "ignore-auto-routes"       gboolean              : Read / Write
      "method"                   gchararray            : Read / Write

## Description

## Details

### NM_SETTING_IP4_CONFIG_SETTING_NAME

    #define NM_SETTING_IP4_CONFIG_SETTING_NAME "ipv4"

### enum NMSettingIP4ConfigError

    typedef enum
    {
    	NM_SETTING_IP4_CONFIG_ERROR_UNKNOWN = 0,
    	NM_SETTING_IP4_CONFIG_ERROR_INVALID_PROPERTY,
    	NM_SETTING_IP4_CONFIG_ERROR_MISSING_PROPERTY,
    	NM_SETTING_IP4_CONFIG_ERROR_NOT_ALLOWED_FOR_METHOD
    } NMSettingIP4ConfigError;

### NM_TYPE_SETTING_IP4_CONFIG_ERROR

    #define NM_TYPE_SETTING_IP4_CONFIG_ERROR (nm_setting_ip4_config_error_get_type ())

### NM_SETTING_IP4_CONFIG_ERROR

    #define NM_SETTING_IP4_CONFIG_ERROR nm_setting_ip4_config_error_quark ()

### nm_setting_ip4_config_error_quark ()

    GQuark              nm_setting_ip4_config_error_quark   (void);

Returns :

### NM_SETTING_IP4_CONFIG_METHOD

    #define NM_SETTING_IP4_CONFIG_METHOD             "method"

### NM_SETTING_IP4_CONFIG_DNS

    #define NM_SETTING_IP4_CONFIG_DNS                "dns"

### NM_SETTING_IP4_CONFIG_DNS_SEARCH

    #define NM_SETTING_IP4_CONFIG_DNS_SEARCH         "dns-search"

### NM_SETTING_IP4_CONFIG_ADDRESSES

    #define NM_SETTING_IP4_CONFIG_ADDRESSES          "addresses"

### NM_SETTING_IP4_CONFIG_ROUTES

    #define NM_SETTING_IP4_CONFIG_ROUTES             "routes"

### NM_SETTING_IP4_CONFIG_IGNORE_AUTO_ROUTES

    #define NM_SETTING_IP4_CONFIG_IGNORE_AUTO_ROUTES "ignore-auto-routes"

### NM_SETTING_IP4_CONFIG_IGNORE_AUTO_DNS

    #define NM_SETTING_IP4_CONFIG_IGNORE_AUTO_DNS    "ignore-auto-dns"

### NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID

    #define NM_SETTING_IP4_CONFIG_DHCP_CLIENT_ID     "dhcp-client-id"

### NM_SETTING_IP4_CONFIG_DHCP_HOSTNAME

    #define NM_SETTING_IP4_CONFIG_DHCP_HOSTNAME      "dhcp-hostname"

### NM_SETTING_IP4_CONFIG_METHOD_AUTO

    #define NM_SETTING_IP4_CONFIG_METHOD_AUTO       "auto"

### NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL

    #define NM_SETTING_IP4_CONFIG_METHOD_LINK_LOCAL "link-local"

### NM_SETTING_IP4_CONFIG_METHOD_MANUAL

    #define NM_SETTING_IP4_CONFIG_METHOD_MANUAL     "manual"

### NM_SETTING_IP4_CONFIG_METHOD_SHARED

    #define NM_SETTING_IP4_CONFIG_METHOD_SHARED     "shared"

### NMIP4Address

    typedef struct NMIP4Address NMIP4Address;

### nm_ip4_address_new ()

    NMIP4Address*       nm_ip4_address_new                  (void);

Returns :

### nm_ip4_address_dup ()

    NMIP4Address*       nm_ip4_address_dup                  (NMIP4Address *source);

`source` :

Returns :

### nm_ip4_address_ref ()

    void                nm_ip4_address_ref                  (NMIP4Address *address);

`address` :

### nm_ip4_address_unref ()

    void                nm_ip4_address_unref                (NMIP4Address *address);

`address` :

### nm_ip4_address_compare ()

    gboolean            nm_ip4_address_compare              (NMIP4Address *address,
                                                             NMIP4Address *other);

`address` :

`other` :

Returns :

### nm_ip4_address_get_address ()

    guint32             nm_ip4_address_get_address          (NMIP4Address *address);

`address` :

Returns :

### nm_ip4_address_set_address ()

    void                nm_ip4_address_set_address          (NMIP4Address *address,
                                                             guint32 addr);

`address` :

`addr` :

### nm_ip4_address_get_prefix ()

    guint32             nm_ip4_address_get_prefix           (NMIP4Address *address);

`address` :

Returns :

### nm_ip4_address_set_prefix ()

    void                nm_ip4_address_set_prefix           (NMIP4Address *address,
                                                             guint32 prefix);

`address` :

`prefix` :

### nm_ip4_address_get_gateway ()

    guint32             nm_ip4_address_get_gateway          (NMIP4Address *address);

`address` :

Returns :

### nm_ip4_address_set_gateway ()

    void                nm_ip4_address_set_gateway          (NMIP4Address *address,
                                                             guint32 gateway);

`address` :

`gateway` :

### NMIP4Route

    typedef struct NMIP4Route NMIP4Route;

### nm_ip4_route_new ()

    NMIP4Route*         nm_ip4_route_new                    (void);

Returns :

### nm_ip4_route_dup ()

    NMIP4Route*         nm_ip4_route_dup                    (NMIP4Route *route);

`route` :

Returns :

### nm_ip4_route_ref ()

    void                nm_ip4_route_ref                    (NMIP4Route *route);

`route` :

### nm_ip4_route_unref ()

    void                nm_ip4_route_unref                  (NMIP4Route *route);

`route` :

### nm_ip4_route_compare ()

    gboolean            nm_ip4_route_compare                (NMIP4Route *route,
                                                             NMIP4Route *other);

`route` :

`other` :

Returns :

### nm_ip4_route_get_dest ()

    guint32             nm_ip4_route_get_dest               (NMIP4Route *route);

`route` :

Returns :

### nm_ip4_route_set_dest ()

    void                nm_ip4_route_set_dest               (NMIP4Route *route,
                                                             guint32 dest);

`route` :

`dest` :

### nm_ip4_route_get_prefix ()

    guint32             nm_ip4_route_get_prefix             (NMIP4Route *route);

`route` :

Returns :

### nm_ip4_route_set_prefix ()

    void                nm_ip4_route_set_prefix             (NMIP4Route *route,
                                                             guint32 prefix);

`route` :

`prefix` :

### nm_ip4_route_get_next_hop ()

    guint32             nm_ip4_route_get_next_hop           (NMIP4Route *route);

`route` :

Returns :

### nm_ip4_route_set_next_hop ()

    void                nm_ip4_route_set_next_hop           (NMIP4Route *route,
                                                             guint32 next_hop);

`route` :

`next_hop` :

### nm_ip4_route_get_metric ()

    guint32             nm_ip4_route_get_metric             (NMIP4Route *route);

`route` :

Returns :

### nm_ip4_route_set_metric ()

    void                nm_ip4_route_set_metric             (NMIP4Route *route,
                                                             guint32 metric);

`route` :

`metric` :

### NMSettingIP4Config

    typedef struct _NMSettingIP4Config NMSettingIP4Config;

### nm_setting_ip4_config_get_type ()

    GType               nm_setting_ip4_config_get_type      (void);

Returns :

### nm_setting_ip4_config_new ()

    NMSetting*          nm_setting_ip4_config_new           (void);

Returns :

### nm_setting_ip4_config_get_method ()

    const char*         nm_setting_ip4_config_get_method    (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_num_dns ()

    guint32             nm_setting_ip4_config_get_num_dns   (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_dns ()

    guint32             nm_setting_ip4_config_get_dns       (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

Returns :

### nm_setting_ip4_config_add_dns ()

    gboolean            nm_setting_ip4_config_add_dns       (NMSettingIP4Config *setting,
                                                             guint32 dns);

`setting` :

`dns` :

Returns :

### nm_setting_ip4_config_remove_dns ()

    void                nm_setting_ip4_config_remove_dns    (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

### nm_setting_ip4_config_clear_dns ()

    void                nm_setting_ip4_config_clear_dns     (NMSettingIP4Config *setting);

`setting` :

### nm_setting_ip4_config_get_num_dns_searches ()

    guint32             nm_setting_ip4_config_get_num_dns_searches
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_dns_search ()

    const char*         nm_setting_ip4_config_get_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

Returns :

### nm_setting_ip4_config_add_dns_search ()

    gboolean            nm_setting_ip4_config_add_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             const char *dns_search);

`setting` :

`dns_search` :

Returns :

### nm_setting_ip4_config_remove_dns_search ()

    void                nm_setting_ip4_config_remove_dns_search
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

### nm_setting_ip4_config_clear_dns_searches ()

    void                nm_setting_ip4_config_clear_dns_searches
                                                            (NMSettingIP4Config *setting);

`setting` :

### nm_setting_ip4_config_get_num_addresses ()

    guint32             nm_setting_ip4_config_get_num_addresses
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_address ()

    NMIP4Address*       nm_setting_ip4_config_get_address   (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

Returns :

### nm_setting_ip4_config_add_address ()

    gboolean            nm_setting_ip4_config_add_address   (NMSettingIP4Config *setting,
                                                             NMIP4Address *address);

`setting` :

`address` :

Returns :

### nm_setting_ip4_config_remove_address ()

    void                nm_setting_ip4_config_remove_address
                                                            (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

### nm_setting_ip4_config_clear_addresses ()

    void                nm_setting_ip4_config_clear_addresses
                                                            (NMSettingIP4Config *setting);

`setting` :

### nm_setting_ip4_config_get_num_routes ()

    guint32             nm_setting_ip4_config_get_num_routes
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_route ()

    NMIP4Route*         nm_setting_ip4_config_get_route     (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

Returns :

### nm_setting_ip4_config_add_route ()

    gboolean            nm_setting_ip4_config_add_route     (NMSettingIP4Config *setting,
                                                             NMIP4Route *route);

`setting` :

`route` :

Returns :

### nm_setting_ip4_config_remove_route ()

    void                nm_setting_ip4_config_remove_route  (NMSettingIP4Config *setting,
                                                             guint32 i);

`setting` :

`i` :

### nm_setting_ip4_config_clear_routes ()

    void                nm_setting_ip4_config_clear_routes  (NMSettingIP4Config *setting);

`setting` :

### nm_setting_ip4_config_get_ignore_auto_routes ()

    gboolean            nm_setting_ip4_config_get_ignore_auto_routes
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_ignore_auto_dns ()

    gboolean            nm_setting_ip4_config_get_ignore_auto_dns
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_dhcp_client_id ()

    const char*         nm_setting_ip4_config_get_dhcp_client_id
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

### nm_setting_ip4_config_get_dhcp_hostname ()

    const char*         nm_setting_ip4_config_get_dhcp_hostname
                                                            (NMSettingIP4Config *setting);

`setting` :

Returns :

## Property Details

### The `"dhcp-client-id"` property

      "dhcp-client-id"           gchararray            : Read / Write

DHCP Client ID.

Default value: NULL

### The `"dhcp-hostname"` property

      "dhcp-hostname"            gchararray            : Read / Write

DHCP Hostname.

Default value: NULL

### The `"ignore-auto-dns"` property

      "ignore-auto-dns"          gboolean              : Read / Write

Ignore automatic DNS.

Default value: FALSE

### The `"ignore-auto-routes"` property

      "ignore-auto-routes"       gboolean              : Read / Write

Ignore automatic routes.

Default value: FALSE

### The `"method"` property

      "method"                   gchararray            : Read / Write

IP configuration method.

Default value: NULL